%def_enable shared
%def_disable static
%def_with pic

# DataBase drivers
%def_with dbase
%def_without firebird
%def_with mdb
%def_with mysql
%def_with odbc
%def_with paradox
%def_with postgresql
%def_with sqlite2
%def_with sqlite3
%def_with xbase

# use sqlite? library (ext) or builtin version
%define sqlite2lib ext
%define sqlite3lib ext

%def_with python
%def_with utils
%def_with docs

#----------------------------------------------------------------------
%define set_disable() %{expand:%%force_disable %{1}} %{expand:%%undefine _enable_%{1}}
%define set_enable() %{expand:%%force_enable %{1}} %{expand:%%undefine _disable_%{1}}
%define set_with() %{expand:%%force_with %{1}} %{expand:%%undefine _with_%{1}}
%define set_without() %{expand:%%force_without %{1}} %{expand:%%undefine _with_%{1}}
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}
%define subst_with_to() %{expand:%%{?_with_%{1}:--with-%{2}}} %{expand:%%{?_without_%{1}:--without-%{2}}}

%{?_disable_static:%set_enable shared}

%ifarch x86_64
%set_with pic
%endif

Name: hk_classes
%define lname lib%name
%define lver 15
Version: 0.8.3
%define prerel %nil
Release: alt1.0
Group: System/Libraries
Summary: Database classes for knoda
License: GPL
URL: http://hk-classes.sourceforge.net
Source: %name-%version%prerel.tar.bz2
#http://prdownloads.sourceforge.net/%name/%name-%version%prerel.tar.bz2?download

# Automatically added by buildreq on Fri Aug 11 2006
BuildRequires: fontconfig-devel gcc-c++ glib2-devel libfreetype-devel
BuildRequires: libmagic-devel libxml2-devel pkg-config
BuildRequires: python-dev python-modules python-modules-compiler
BuildRequires: python-modules-encodings

%{?_with_firebird:BuildRequires: firebird-devel}
%{?_with_mysql:BuildRequires: libMySQL-devel}
%{?_with_postgresql:BuildRequires: postgresql-devel}
%{?_with_odbc:BuildRequires: libunixODBC-devel}
%{?_with_xbase:BuildRequires: libxbsql-devel}
%if_with sqlite2
%if %sqlite2lib == ext
BuildRequires: sqlite-devel
%endif
%endif
%if_with sqlite3
%if %sqlite3lib == ext
BuildRequires: libsqlite3-devel
%endif
%endif

%description
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible. You need
also a database driver to run applications.


%if_with utils
%package utils
Group: Databases
Summary: %name utils
Provides: %name = %version-%release
Obsoletes: %name

%description utils
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains some %name utils.
You need also a database driver to run applications.
%endif


%if_enabled shared
%package -n %lname
Group: System/Libraries
Summary: Database classes for knoda

%description -n %lname
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains shared libraries for %name based
applications.
You need also a database driver to run applications.
%endif


%if_enabled shared
%package -n %lname-drivers
Group: System/Libraries
Summary: Database drivers for %name
Provides: %name-drivers = %version-%release
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release
%{?_with_dbase:Requires: %lname-driver-dbase}
%{?_with_firebird:Requires: %lname-driver-firebird}
%{?_with_mysql:Requires: %lname-driver-mysql}
%{?_with_postgresql:Requires: %lname-driver-postgresql}
%{?_with_odbc:Requires: %lname-driver-odbc}
%{?_with_sqlite2:Requires: %lname-driver-sqlite}
%{?_with_sqlite3:Requires: %lname-driver-sqlite3}
%{?_with_mdb:Requires: %lname-driver-mdb}
%{?_with_xbase:Requires: %lname-driver-xbase}
%{?_with_paradox:Requires: %lname-driver-paradox}

%description -n %lname-drivers
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This virtual package provide database drivers for %name.
%endif


%if_enabled static
%package -n %lname-drivers-static
Group: System/Libraries
Summary: Static database drivers for %name
Provides: %name-drivers-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release
%{?_with_dbase:Requires: %lname-driver-dbase-static}
%{?_with_firebird:Requires: %lname-driver-firebird-static}
%{?_with_mysql:Requires: %lname-driver-mysql-static}
%{?_with_postgresql:Requires: %lname-driver-postgresql-static}
%{?_with_odbc:Requires: %lname-driver-odbc-static}
%{?_with_sqlite2:Requires: %lname-driver-sqlite-static}
%{?_with_sqlite3:Requires: %lname-driver-sqlite3-static}
%{?_with_mdb:Requires: %lname-driver-mdb-static}
%{?_with_xbase:Requires: %lname-driver-xbase-static}
%{?_with_paradox:Requires: %lname-driver-paradox-static}

%description -n %lname-drivers-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This virtual package provide static database drivers for %name.
%endif


%package -n %lname-drivers-common
Group: System/Libraries
Summary: Common files for %name drivers
Provides: %name-drivers-common = %version-%release
Requires: %lname = %version

%description -n %lname-drivers-common
Common files for %name drivers.


%if_with dbase
%package -n %lname-driver-dbase
Group: System/Libraries
Summary: Driver DBase for %name
Provides: %name-driver-dbase = %version-%release
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-dbase
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains DBase database driver for %name based
applications.


%if_enabled static
%package -n %lname-driver-dbase-static
Group: System/Libraries
Summary: Static driver DBase for %name
Provides: %name-driver-%dname-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-dbase-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static DBase database driver for devel
%name based applications with DBase databases support.
%endif
%endif


%if_with firebird
%package -n %lname-driver-firebird
Group: System/Libraries
Summary: Driver Firebird for %name
Provides: %name-driver-firebird = %version-%release
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-firebird
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains Firebird database driver for %name based
applications.


%if_enabled static
%package -n %lname-driver-firebird-static
Group: System/Libraries
Summary: Static driver Firebird for %name
Provides: %name-driver-firebird-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-firebird-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static Firebird database driver for devel
%name based applications with Firebird databases support.
%endif
%endif


%if_with mysql
%package -n %lname-driver-mysql
Group: System/Libraries
Summary: Driver MySQL for %name
Provides: %name-driver-mysql = %version-%release
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-mysql
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains MySQL database driver for %name based
applications.

%if_enabled static
%package -n %lname-driver-mysql-static
Group: System/Libraries
Summary: Static driver MySQL for %name
Provides: %name-driver-mysql-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-mysql-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static MySQL database driver for devel %name
based applications with MySQL databases support.
%endif
%endif


%if_with postgresql
%package -n %lname-driver-postgresql
Group: System/Libraries
Summary: Driver PostgreSQL for %name
Provides: %name-driver-postgresql = %version-%release
Provides: %name-driver-postgres = %version-%release
Obsoletes: %name-driver-postgres
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-postgresql
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains PostgreSQL database driver for %name based
applications.


%if_enabled static
%package -n %lname-driver-postgresql-static
Group: System/Libraries
Summary: Static driver PostgreSQL for %name
Provides: %name-driver-postgresql-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-postgresql-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static PostgreSQL database driver for devel
%name based applications with PostgreSQL databases support.
%endif
%endif


%if_with odbc
%package -n %lname-driver-odbc
Group: System/Libraries
Summary: Driver ODBC for %name
Provides: %name-driver-odbc = %version-%release
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-odbc
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains ODBC driver for %name based applications.

%if_enabled static
%package -n %lname-driver-odbc-static
Group: System/Libraries
Summary: Static driver ODBC for %name
Provides: %name-driver-odbc-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-odbc-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static ODBC driver for devel %name based
applications with ODBC support.
%endif
%endif


%if_with sqlite2
%package -n %lname-driver-sqlite2
Group: System/Libraries
Summary: Driver SQLite (2) for %name
Provides: %name-driver-sqlite2 = %version-%release
Provides: %lname-driver-sqlite = %version-%release
Provides: %name-driver-sqlite2 = %version-%release
Provides: %name-driver-sqlite = %version-%release
Obsoletes: %lname-driver-sqlite
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-sqlite2
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains SQLite (2) database driver for %name based
applications.


%if_enabled static
%package -n %lname-driver-sqlite2-static
Group: System/Libraries
Summary: Static driver SQLite (2) for %name
Provides: %name-driver-sqlite2-static = %version-%release
Provides: %name-driver-sqlite-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-sqlite2-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static SQLite (2) database driver for devel
%name based applications with SQLite (2) databases support.
%endif
%endif


%if_with sqlite3
%package -n %lname-driver-sqlite3
Group: System/Libraries
Summary: Driver SQLite 3 for %name
Provides: %name-driver-sqlite3 = %version-%release
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-sqlite3
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains SQLite 3 database driver for %name based
applications.


%if_enabled static
%package -n %lname-driver-sqlite3-static
Group: System/Libraries
Summary: Static driver SQLite 3 for %name
Provides: %name-driver-sqlite3-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-sqlite3-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static SQLite 3 database driver for devel
%name based applications with SQLite 3 databases support.
%endif
%endif


%if_with mdb
%package -n %lname-driver-mdb
Group: System/Libraries
Summary: Driver mdb (MS Access) for %name
Provides: %name-driver-mdb = %version-%release
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-mdb
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains mdb (MS Access) database driver for %name
based applications.


%if_enabled static
%package -n %lname-driver-mdb-static
Group: System/Libraries
Summary: Static driver mdb (MS Access) for %name
Provides: %name-driver-mdb-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-mdb-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static (MS Access) database driver for devel
%name based applications with (MS Access) databases support.
%endif
%endif


%if_with xbase
%package -n %lname-driver-xbase
Group: System/Libraries
Summary: Driver Xbase (dbf) for %name
Provides: %name-driver-xbase = %version-%release
Provides: %name-driver-dbf = %version-%release
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-xbase
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains Xbase (dbf) database driver for %name based
applications.


%if_enabled static
%package -n %lname-driver-xbase-static
Group: System/Libraries
Summary: Static driver Xbase (dbf) for %name
Provides: %name-driver-xbase-static = %version-%release
Provides: %name-driver-dbf-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-xbase-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static Xbase (dbf) database driver for devel
%name based applications with Xbase (dbf) databases support.
%endif
%endif


%if_with paradox
%package -n %lname-driver-paradox
Group: System/Libraries
Summary: Driver Paradox for %name
Provides: %name-driver-paradox = %version-%release
Requires: %lname = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-paradox
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains Paradox database driver for %name based
applications.


%if_enabled static
%package -n %lname-driver-paradox-static
Group: System/Libraries
Summary: Static driver Paradox for %name
Provides: %name-driver-paradox-static = %version-%release
Requires: %lname-devel = %version-%release
Requires: %lname-drivers-common = %version-%release

%description -n %lname-driver-paradox-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static Paradox database driver for devel
%name based applications with Paradox databases support.
%endif
%endif


%package -n %lname-devel
Group: Development/C++
Summary: Development files for %lname
Requires: %lname%{?_disable_shared:-devel-static} = %version-%release

%description -n %lname-devel
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains headers for %lname.


%if_enabled static
%package -n %lname-devel-static
Group: Development/C++
Summary: Database classes for knoda
Requires: %lname-devel = %version-%release

%description -n %lname-devel-static
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains static libraries for development with
%lname.
%endif


%if_with docs
%package -n %lname-doc
Group: Development/C++
Summary: Tutorial and API docs for %lname
Provides: %name-doc = %version-%release

%description -n %lname-doc
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains tutorial and API docs for %lname.
%endif


%if_with python
%package -n python-module-%name
Group: Development/Python
Summary: Python interface to %name
Requires: %lname-devel = %version-%release

%description -n python-module-%name
The %name are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible.
This package contains python interface to %name.
%endif


%prep
%setup -q -n %name-%version%prerel


%build
%configure \
    %{subst_with pic} \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_with dbase} \
    %{subst_with firebird} \
    %{subst_with mdb} \
    %{subst_with mysql} \
    %{subst_with odbc} \
    %{subst_with paradox} \
    %{subst_with_to postgresql postgres} \
    %{subst_with_to sqlite2 sqlite} \
    %{subst_with sqlite3} \
    %{subst_with xbase} \
%if %sqlite2lib == ext
    --with-sqlite2systemlibrary \
%endif
%if %sqlite3lib == ext
    --with-sqlite3systemlibrary \
%endif

%make_build


%install
%make DESTDIR=%buildroot install

%if_with docs
install -d %buildroot%_docdir/%lname-doc-%version/tutorial
install -m 0644 documentation/tutorial/*.html %buildroot%_docdir/%lname-doc-%version/tutorial/
%endif

%{?_without_python:rm -rf %buildroot%_libdir/python2.4}

%{?_without_utils:rm -rf %buildroot{%_bindir,%_mandir}}

%if_enabled shared
for f in %buildroot%_libdir/%name/lib*.so*; do
    n=$(basename $f)
    if [ -L $f ]; then
       ln -sf %name/$(readlink $f) %buildroot%_libdir/$n
    else
       ln -sf %name/$n %buildroot%_libdir/$n
    fi

done
%endif

pushd %buildroot%_man1dir
for f in *; do
    mv $f `basename $f man`
done
popd

rm -f %buildroot%_libdir/%name/*.la

bzip2 --best --force --keep -- ChangeLog

%add_findprov_lib_path %_libdir/%name


%if_enabled shared
%post -n %lname -p %post_ldconfig
%postun -n %lname -p %postun_ldconfig
%endif


%if_with utils
%files utils
%_bindir/*
%_man1dir/*
%endif


%if_enabled shared
%files -n %lname
%doc README AUTHORS ChangeLog.*
%dir %_libdir/%name
%_libdir/%name/*.so.*
%_libdir/*.so.*
%endif


%files -n %lname-drivers-common
%dir %_libdir/%name/drivers


%{?_enable_shared:%files -n %lname-drivers}


%{?_enable_static:%files -n %lname-drivers-static}


%if_with dbase
%if_enabled shared
%files -n %lname-driver-dbase
%_libdir/%name/drivers/libhk_dbasedriver.so*
%_libdir/%name/drivers/libhk_dbasedriver.la
%endif


%if_enabled static
%files -n %lname-driver-dbase-static
%_libdir/%name/drivers/libhk_dbasedriver.a
%endif
%endif


%if_with firebird
%if_enabled shared
%files -n %lname-driver-firebird
%_libdir/%name/drivers/libhk_firebirddriver.so*
%_libdir/%name/drivers/libhk_firebirddriver.la
%endif


%if_enabled static
%files -n %lname-driver-firebird-static
%_libdir/%name/drivers/libhk_firebirddriver.a
%endif
%endif


%if_with mysql
%if_enabled shared
%files -n %lname-driver-mysql
%_libdir/%name/drivers/libhk_mysqldriver.so*
%_libdir/%name/drivers/libhk_mysqldriver.la
%endif


%if_enabled static
%files -n %lname-driver-mysql-static
%_libdir/%name/drivers/libhk_mysqldriver.a
%endif
%endif


%if_with postgresql
%if_enabled shared
%files -n %lname-driver-postgresql
%_libdir/%name/drivers/libhk_postgresdriver.so*
%_libdir/%name/drivers/libhk_postgresdriver.la
%endif


%if_enabled static
%files -n %lname-driver-postgresql-static
%_libdir/%name/drivers/libhk_postgresdriver.a
%endif
%endif


%if_with odbc
%if_enabled shared
%files -n %lname-driver-odbc
%_libdir/%name/drivers/libhk_odbcdriver.so*
%_libdir/%name/drivers/libhk_odbcdriver.la
%endif


%if_enabled static
%files -n %lname-driver-odbc-static
%_libdir/%name/drivers/libhk_odbcdriver.a
%endif
%endif


%if_with sqlite2
%if_enabled shared
%files -n %lname-driver-sqlite2
%_libdir/%name/drivers/libhk_sqlite2driver.so*
%_libdir/%name/drivers/libhk_sqlite2driver.la
%endif


%if_enabled static
%files -n %lname-driver-sqlite2-static
%_libdir/%name/drivers/libhk_sqlite2driver.a
%endif
%endif


%if_with sqlite3
%if_enabled shared
%files -n %lname-driver-sqlite3
%_libdir/%name/drivers/libhk_sqlite3driver.so*
%_libdir/%name/drivers/libhk_sqlite3driver.la
%endif


%if_enabled static
%files -n %lname-driver-sqlite3-static
%_libdir/%name/drivers/libhk_sqlite3driver.a
%endif
%endif


%if_with mdb
%if_enabled shared
%files -n %lname-driver-mdb
%_libdir/%name/drivers/libhk_mdbdriver.so*
%_libdir/%name/drivers/libhk_mdbdriver.la
%endif


%if_enabled static
%files -n %lname-driver-mdb-static
%_libdir/%name/drivers/libhk_mdbdriver.a
%endif
%endif


%if_with xbase
%if_enabled shared
%files -n %lname-driver-xbase
%_libdir/%name/drivers/libhk_xbasedriver.so*
%_libdir/%name/drivers/libhk_xbasedriver.la
%endif


%if_enabled static
%files -n %lname-driver-xbase-static
%_libdir/%name/drivers/libhk_xbasedriver.a
%endif
%endif


%if_with paradox
%if_enabled shared
%files -n %lname-driver-paradox
%_libdir/%name/drivers/libhk_paradoxdriver.so*
%_libdir/%name/drivers/libhk_paradoxdriver.la
%endif


%if_enabled static
%files -n %lname-driver-paradox-static
%_libdir/%name/drivers/libhk_paradoxdriver.a
%endif
%endif


%files -n %lname-devel
%_includedir/*
%if_enabled shared
%_libdir/*.so
%_libdir/%name/*.so
%else
%doc README AUTHORS ChangeLog.*
%endif


%if_enabled static
%files -n %lname-devel-static
%dir %_libdir/%name
%_libdir/%name/*.a
%_libdir/%name/drivers/*.a
%endif


%files -n %lname-doc
%_docdir/%lname-doc-%version


%if_with python
%files -n python-module-%name
%_libdir/python2.4/site-packages/*
%endif


%changelog
* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.8.3-alt1.0
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Mon Dec 18 2006 Led <led@altlinux.ru> 0.8.3-alt1
- 0.8.3 (bugfix release)

* Sat Nov 18 2006 Led <led@altlinux.ru> 0.8.2-alt2
- fixed %%install
- added libhk_*driver.la files for driver packages
- cleaned up BuildRequires

* Mon Oct 30 2006 Led <led@altlinux.ru> 0.8.2-alt1
- 0.8.2 release

* Thu Oct 09 2006 Led <led@altlinux.ru> 0.8.2-alt0.3
- 0.8.2-test3
- fixed %lname-drivers package's Requires

* Fri Aug 11 2006 Led <led@altlinux.ru> 0.8.2-alt0.2
- 0.8.2-test2
- renamed package %lname-driver-sqlite to %lname-driver-sqlite2
- used external sqlite2 and sqlite3 libs
- changes and fixes in spec
- fixed Summaries and descriptions
- added %lname-drivers-static and %lname-drivers-common

* Sat Jul 22 2006 Led <led@altlinux.ru> 0.8.2-alt0.1
- 0.8.2-test1
- enabled dbase

* Sat Jul 22 2006 Led <led@altlinux.ru> 0.8.1a-alt2
- cleaned up spec
- disabled static

* Mon Jun 05 2006 Led <led@altlinux.ru> 0.8.1a-alt1
- 0.8.1a
- separate packages for database drivers
- added python-module-%name package
- many spec fixes

* Fri Jun 10 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.4-alt0.1.test2
- 0.7.4-test2

* Sun Dec 12 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.2-alt1
- 0.7.2

* Sun Jul 18 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1
- 0.7-releaze

* Thu Jun 10 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt0.3.test2
- fix requires

* Tue Jun 08 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt0.2.test2
- 0.7-test2

* Thu Jun 03 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt0.1.test1
- 0.7-test1

* Thu Apr 01 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.3-alt0.2.test3
- 0.6.3-test3
- fix requires and buildrequires

* Thu Nov 06 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.1-alt1
- 0.6.1
- new builrequires and rebuilding in hasher

* Wed May 07 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6-alt1
- 0.6

* Sun Jan 26 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt2
- new location for drivers

* Thu Jan 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt1
- 0.5.6

* Tue Nov 26 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1:0.5.5-alt1
- 0.5.5

* Sun Oct 06 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.4-alt1
- 0.5.4

* Thu Sep 19 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.3-alt2
- librification
- rebuild with gcc3.2

* Thu Jul 25 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.2-alt1
- 0.5.3

* Sat Jun 4 2002 Yehuda Ben-Yosef <ilar66@elterrus.org> 0.5.2-alt1
- 0.5.2

* Thu Jan 03 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.4.3-alt0.1
- 0.4.3
- specfile cleanup
